Bug 637955 - libini_config-devel needs libcollection-devel but doesn't require it
Summary: libini_config-devel needs libcollection-devel but doesn't require it
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: ding-libs
Version: 17
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Ondrej Kos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-27 20:46 UTC by Nathanael Noblet
Modified: 2013-10-08 23:35 UTC (History)
7 users (show)

Fixed In Version: ding-libs-0.2.91-12.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-20 15:53:48 UTC


Attachments (Terms of Use)
proposed patch (1.34 KB, patch)
2012-10-31 14:25 UTC, Ondrej Kos
okos: review? (jhrozek)
Details | Diff

Description Nathanael Noblet 2010-09-27 20:46:08 UTC
Description of problem:
I started to play with libini to parse an ini file. When attempting to build it failed due to a missing collection.h header file. ini_config.h includes it, but it isn't installed. When installing libini_config-devel, libcollection-devel should be pulled in.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install libini_config && libini_config-devel
2. Write a test program with #include <ini_config.h>
3. Compile
  
Actual results:
Gcc error unable to find collection.h

Expected results:
Compiles

Additional info:

Comment 1 Fedora Update System 2010-09-28 12:20:50 UTC
sssd-1.3.0-32.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/sssd-1.3.0-32.fc14

Comment 2 Fedora Update System 2010-09-28 12:26:48 UTC
sssd-1.3.0-32.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/sssd-1.3.0-32.fc13

Comment 3 Fedora Update System 2010-09-28 17:30:56 UTC
sssd-1.3.0-32.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sssd'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/sssd-1.3.0-32.fc14

Comment 4 Fedora Update System 2010-10-08 20:29:56 UTC
sssd-1.3.0-35.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2010-10-12 12:47:48 UTC
sssd-1.3.0-35.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Guenther Deschner 2012-10-23 13:00:58 UTC
I am seeing the exact same issue on Fedora17 still. Shall I open a new bug (though its really exactly the missing dependency here) ?

Comment 7 Jakub Hrozek 2012-10-23 13:18:35 UTC
That probably got re-introduced when we split ding-libs from the SSSD.

Comment 8 Ondrej Kos 2012-10-31 14:25:22 UTC
Created attachment 636161 [details]
proposed patch

Proposed patch to fix this issue is attached.

Comment 9 Jakub Hrozek 2012-10-31 15:13:54 UTC
Thanks, applied to rawhide and f18.

Comment 10 Fedora Update System 2012-10-31 17:20:54 UTC
ding-libs-0.2.91-12.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ding-libs-0.2.91-12.fc18

Comment 11 Fedora Update System 2012-11-01 05:54:45 UTC
Package ding-libs-0.2.91-12.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ding-libs-0.2.91-12.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17424/ding-libs-0.2.91-12.fc18
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2012-12-20 15:53:52 UTC
ding-libs-0.2.91-12.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.